ECHO OFF

rem Batch for running 1 CSV file
rem Argument 1 is CONTROL FILE name
rem Argument 2 is CSV FILE name

rem Clear out generic filenames
if exist surfcsv.inp del surfcsv.inp
if exist csv.dat del csv.dat

rem Copy current files into generic names
copy %1 surfcsv.inp
copy %2 csv.dat

rem Run
ECHO ON
surfcsv.exe
ECHO OFF

rem Clear out generic filenames
del surfcsv.inp
del csv.dat

rem Apply specific output SURF.DAT name
if exist %2.surf.dat del %2.surf.dat
ren surf.dat %2.surf.dat
ECHO ON
